/// <reference types="react" />
import type { DId } from '../../utils/types';
import type { DFormControl } from '../form';
export interface DCheckboxItem<V extends DId> {
    label: React.ReactNode;
    value: V;
    disabled?: boolean;
}
export interface DCheckboxGroupRendererProps<V extends DId> {
    dFormControl?: DFormControl;
    dModel?: V[];
    dList: DCheckboxItem<V>[];
    dDisabled?: boolean;
    dRender: (nodes: React.ReactElement[]) => JSX.Element | null;
    onModelChange?: (values: V[]) => void;
}
export declare function DCheckboxGroupRenderer<V extends DId>(props: DCheckboxGroupRendererProps<V>): JSX.Element | null;
